<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="stk_gesamtkalkulation_strukturbaum" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="812" leftMargin="19" rightMargin="11" topMargin="42" bottomMargin="19" uuid="6915f245-1abc-4698-8a3b-192e2f86baad">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<style name="Ebene">
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}==null || $V{Ebene}.intValue()==0]]></conditionExpression>
			<style mode="Opaque" forecolor="#000000" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==1]]></conditionExpression>
			<style mode="Opaque" forecolor="#33CC00" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==2]]></conditionExpression>
			<style mode="Opaque" forecolor="#FF9900" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==3]]></conditionExpression>
			<style mode="Opaque" forecolor="#0000FF" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==4]]></conditionExpression>
			<style mode="Opaque" forecolor="#33CCFF" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==5]]></conditionExpression>
			<style mode="Opaque" forecolor="#FF00CC" backcolor="#FFFFFF" fontName="Arial"/>
		</conditionalStyle>
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{Ebene}.intValue()==6]]></conditionExpression>
			<style mode="Opaque" forecolor="#000000" backcolor="#33FF33" fontName="Arial"/>
		</conditionalStyle>
	</style>
	<parameter name="P_STUECKLISTE" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
		<defaultValueExpression><![CDATA["Report Information"]]></defaultValueExpression>
	</parameter>
	<parameter name="P_LOSGROESSE" class="java.math.BigDecimal" isForPrompting="false">
		<defaultValueExpression><![CDATA[new BigDecimal(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_EINHEIT" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_WAEHRUNG" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_EINHEITZEIT" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_MATERIALKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ARBEITSZEITKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_RUESTZEITGESAMTMANN" class="java.math.BigDecimal" isForPrompting="false">
		<defaultValueExpression><![CDATA[new BigDecimal(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_ZEITGESAMTMANN" class="java.math.BigDecimal" isForPrompting="false">
		<defaultValueExpression><![CDATA[new BigDecimal(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_MATERIALGEMEINKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_FERTIGUNGSGEMEINKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ENTWICKLUNGSGEMEINKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_VERWALTUNGSGEMEINKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_VERTRIEBSGEMEINKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_HERSTELLKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_SELBSTKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_STUECKLISTEBEZEICHNUNG" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_MATERIALKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_MATERIALGEMEINKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_HERSTELLKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ENTWICKLUNGSGEMEINKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_VERTRIEBSGEMEINKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_VERWALTUNGSGEMEINKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_SELBSTKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_MATERIALGEMEINKOSTENPROZENT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ENTWICKLUNGSGEMEINKOSTENPROZENT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRIEBSGEMEINKOSTENPROZENT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERWALTUNGSGEMEINKOSTENPROZENT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FERTIGUNGSGEMEINKOSTENPROZENT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MASCHINENKOSTEN" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_DURCHLAUFZEIT" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_DURCHLAUFZEITGESAMT" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_RUESTZEITGESAMTMASCHINE" class="java.math.BigDecimal" isForPrompting="false">
		<defaultValueExpression><![CDATA[new BigDecimal(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_ZEITGESAMTMASCHINE" class="java.math.BigDecimal" isForPrompting="false">
		<defaultValueExpression><![CDATA[new BigDecimal(0)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_PREISLISTE" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_ERFASSUNGSFAKTOR" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_STUECKLISTE_AUFSCHLAG" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_STUECKLISTE_SOLLVERKAUF" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_STUECKLISTE_MINDESTDECKUNGSBEITRAG" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_EINHEIT_WIEDERBESCHAFFUNGSZEIT" class="java.lang.String"/>
	<parameter name="P_FIXKOSTENLIEF" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_MIT_KLEINSTEM_GROESSTEN_EK_PREIS_DER_LETZTEN_2_JAHRE" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_UNTERSTKL_VERDICHTEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_FREIGABE_ZEITPUNKT" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_FREIGABE_PERSON" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MAX_ANZAHL_ARBEITSSCHRITTE" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_UEBERALLEMANDANTEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_BASIS_KALKULATION" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_VKPREISBASIS" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_KUNDE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_VKPREIS" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_FREMDFERTIGUNG" class="java.lang.Boolean" isForPrompting="false"/>
	<field name="Artikel" class="java.lang.String"/>
	<field name="Menge" class="java.math.BigDecimal"/>
	<field name="Mengeneinheit" class="java.lang.String"/>
	<field name="Gestpreis" class="java.math.BigDecimal"/>
	<field name="Lief1preis" class="java.math.BigDecimal"/>
	<field name="Stueckzeit" class="java.math.BigDecimal"/>
	<field name="Ruestzeit" class="java.math.BigDecimal"/>
	<field name="Gestwert" class="java.math.BigDecimal"/>
	<field name="Artikelbezeichnung" class="java.lang.String">
		<fieldDescription><![CDATA[Artikelbezeichnung]]></fieldDescription>
	</field>
	<field name="Gestpreiswennstueckliste" class="java.math.BigDecimal"/>
	<field name="Summegestpreispositionen" class="java.math.BigDecimal"/>
	<field name="Gestpreiseweichenab" class="java.lang.Boolean"/>
	<field name="Liefwert" class="java.math.BigDecimal"/>
	<field name="Durchlaufzeit" class="java.math.BigDecimal"/>
	<field name="Kalkpreis" class="java.math.BigDecimal"/>
	<field name="Kalkwert" class="java.math.BigDecimal"/>
	<field name="Vkpreis" class="java.math.BigDecimal"/>
	<field name="Vkwert" class="java.math.BigDecimal"/>
	<field name="Mindestdeckungsbeitrag" class="java.lang.Double"/>
	<field name="Stuecklistenart" class="java.lang.String"/>
	<field name="Artikelgewicht" class="java.lang.Double"/>
	<field name="ArtikelMaterialgewicht" class="java.lang.Double">
		<fieldDescription><![CDATA[Materialgewicht in g pro Mengeneinheit]]></fieldDescription>
	</field>
	<field name="Wiederbeschaffungszeit" class="java.lang.Integer"/>
	<field name="Materialzuschlag" class="java.math.BigDecimal"/>
	<field name="Fixkosten" class="java.math.BigDecimal"/>
	<field name="KleinsterLief1preis2Jahre" class="java.math.BigDecimal"/>
	<field name="GroessterLief1preis2Jahre" class="java.math.BigDecimal"/>
	<field name="Artikelzusatzbezeichnung" class="java.lang.String"/>
	<field name="Artikelzusatzbezeichnung2" class="java.lang.String"/>
	<field name="Kommentar" class="java.lang.String"/>
	<field name="AG" class="java.lang.Integer"/>
	<field name="UAG" class="java.lang.Integer"/>
	<field name="FreigabeZeitpunkt" class="java.util.Date"/>
	<field name="FreigabePerson" class="java.lang.String"/>
	<field name="AnzahlArbeitsschritte" class="java.lang.Integer"/>
	<field name="Mandant" class="java.lang.String"/>
	<field name="MandantKbez" class="java.lang.String"/>
	<field name="Summelief1preispositionen" class="java.math.BigDecimal"/>
	<field name="Fertigungssatzgroesse" class="java.lang.Double"/>
	<field name="Mindestbestellmenge" class="java.lang.Double"/>
	<field name="Artikelgruppe" class="java.lang.String"/>
	<field name="MaterialzuschlagEK" class="java.math.BigDecimal"/>
	<field name="Formel" class="java.lang.String"/>
	<field name="Positionsmenge" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Die Menge der Stücklistenposition (Basis für die Zielmenge)]]></fieldDescription>
	</field>
	<field name="Positionsmengeneinheit" class="java.lang.String">
		<fieldDescription><![CDATA[Die Mengeneinheit der Stücklistenposition]]></fieldDescription>
	</field>
	<field name="Dimension1" class="java.lang.Float">
		<fieldDescription><![CDATA[Dimension1]]></fieldDescription>
	</field>
	<field name="Dimension2" class="java.lang.Float">
		<fieldDescription><![CDATA[Dimension2]]></fieldDescription>
	</field>
	<field name="Dimension3" class="java.lang.Float">
		<fieldDescription><![CDATA[Dimension3]]></fieldDescription>
	</field>
	<field name="ReportDebug" class="java.lang.String">
		<fieldDescription><![CDATA["debug" aus Formel]]></fieldDescription>
	</field>
	<field name="ReportInfo" class="java.lang.String">
		<fieldDescription><![CDATA["info" aus Formel]]></fieldDescription>
	</field>
	<field name="ReportWarn" class="java.lang.String"/>
	<field name="ReportError" class="java.lang.String">
		<fieldDescription><![CDATA["info" aus Formel]]></fieldDescription>
	</field>
	<field name="VKPreisbasisHeute" class="java.math.BigDecimal"/>
	<field name="Hierarchiemenge" class="java.math.BigDecimal"/>
	<field name="Artikelart" class="java.lang.String"/>
	<field name="Reihenfolge" class="java.lang.Integer"/>
	<variable name="V_STUECKZEITGESAMT" class="java.math.BigDecimal">
		<variableExpression><![CDATA[new BigDecimal(($P{P_ZEITGESAMTMANN}.doubleValue()+$P{P_ZEITGESAMTMASCHINE}.doubleValue())-
               (($P{P_RUESTZEITGESAMTMANN}.doubleValue()+$P{P_RUESTZEITGESAMTMASCHINE}.doubleValue())/$P{P_LOSGROESSE}.doubleValue()))]]></variableExpression>
	</variable>
	<variable name="V_GESTWERTGESAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Gestwert}]]></variableExpression>
	</variable>
	<variable name="V_LIEFWERTGESAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[( $F{Gestpreiswennstueckliste}!=null ? new BigDecimal(0) : $F{Liefwert} )]]></variableExpression>
	</variable>
	<variable name="V_KALKWERTGESAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[( $F{Gestpreiswennstueckliste}!=null ? new BigDecimal(0) : $F{Kalkwert} )]]></variableExpression>
	</variable>
	<variable name="V_VKWERTGESAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$P{P_PREISLISTE}==null ||
$P{P_PREISLISTE}.length() == 0 ||
$F{Gestpreiswennstueckliste}!=null ? new BigDecimal(0) : $F{Vkwert}]]></variableExpression>
	</variable>
	<variable name="V_GEWICHTGESAMT" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[new Double($F{Artikelgewicht}.doubleValue() * $F{Menge}.doubleValue())]]></variableExpression>
	</variable>
	<variable name="V_Zebra" class="java.math.BigDecimal" resetType="Page">
		<variableExpression><![CDATA[$V{V_Zebra}.multiply( new BigDecimal(-1.0))]]></variableExpression>
		<initialValueExpression><![CDATA[new BigDecimal(1)]]></initialValueExpression>
	</variable>
	<variable name="Materialgewicht" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{ArtikelMaterialgewicht}.doubleValue() * $F{Menge}.doubleValue() / 1000]]></variableExpression>
	</variable>
	<variable name="Ebene" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{Artikel}.length() - $F{Artikel}.trim().length()) / 3]]></variableExpression>
	</variable>
	<variable name="LfdNr" class="java.lang.Integer">
		<variableExpression><![CDATA[$V{LfdNr}==null ? 0 :
($F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("S") ? 1 : 0) + $V{LfdNr}.intValue()]]></variableExpression>
	</variable>
	<variable name="WBZ" class="java.lang.Integer" resetType="Group" resetGroup="Ebene" calculation="Highest">
		<variableExpression><![CDATA[$F{AG}==null ?
$F{Wiederbeschaffungszeit} :
0]]></variableExpression>
	</variable>
	<variable name="Ziellager_Kopf" class="java.lang.String" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select c_nr from ww_lager where i_id=("+
"select lager_i_id_ziellager from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$P{P_STUECKLISTE}+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));"
)]]></variableExpression>
	</variable>
	<variable name="Ziellager_Detail" class="java.lang.String">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select c_nr from ww_lager where i_id=("+
"select lager_i_id_ziellager from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));"
)]]></variableExpression>
	</variable>
	<group name="Ebene">
		<groupExpression><![CDATA[$V{Ebene}]]></groupExpression>
	</group>
	<background>
		<band height="534">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Opaque" x="802" y="20" width="10" height="215" forecolor="#000000" backcolor="#FFFFFF" uuid="a256d9e0-cc7c-45bd-9216-81de331764ef"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="Left">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Opaque" x="802" y="0" width="10" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="96ef1497-000c-4ba6-af9f-9a8152ed7cfe"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="Left">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="STUECKLISTE" mode="Opaque" x="802" y="414" width="10" height="120" forecolor="#000000" backcolor="#FFFFFF" uuid="d9129d87-0db6-4d7e-814d-01b412b37e0f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="Left" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTE}]]></textFieldExpression>
			</textField>
		</band>
	</background>
	<title>
		<band height="74">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Opaque" x="0" y="0" width="535" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="309fc44f-cd7b-48b8-96f0-56578ba73b67"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Gesamtkalkulation" mode="Opaque" x="0" y="12" width="210" height="23" forecolor="#000000" backcolor="#FFFFFF" uuid="51992036-9e10-48d1-8501-3a98cc1c1544"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="18" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Strukturdarstellung]]></text>
			</staticText>
			<rectangle>
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="52" width="100" height="20" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="8c16cecc-25c0-4eed-bfef-d02dcdee1430"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="STUECKLISTE" mode="Transparent" x="0" y="53" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="ee37643e-f9cb-429b-bfd5-08c8c0dc1376"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTE}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="STUECKLISTEBEZEICHNUNG" mode="Transparent" x="0" y="62" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="02bf350c-fff7-49c5-afc6-fc6d7b4c599f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_STUECKLISTEBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Losgröße:" mode="Opaque" x="650" y="22" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a47e9d14-7ef8-4198-8f18-cd9ac0adb3fe"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Losgröße:]]></text>
			</staticText>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="LOSGROESSE" mode="Opaque" x="720" y="22" width="38" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="3e68a472-ca86-4d63-a164-b464fa6023a9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_LOSGROESSE}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="EINHEIT" mode="Opaque" x="760" y="22" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="06fe2e7a-c0a5-4d49-a72f-3cd9ab3652ea"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_EINHEIT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Erfassungsfaktor" mode="Opaque" x="650" y="12" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="1778f501-3198-4551-a3ef-46771d18d3ee"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Erfassungsfaktor:]]></text>
			</staticText>
			<textField pattern="#,##0.###" isBlankWhenNull="true">
				<reportElement key="P_ERFASSUNGSFAKTOR" mode="Opaque" x="720" y="12" width="38" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="3ed844cd-85e3-43ca-ba28-72b8cc996d05"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_ERFASSUNGSFAKTOR}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Durchlaufzeit:" mode="Opaque" x="650" y="32" width="70" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8e42a285-81bf-43cb-862b-9925778c171f">
					<printWhenExpression><![CDATA[!$P{P_UNTERSTKL_VERDICHTEN}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Durchlaufzeit:]]></text>
			</staticText>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="true">
				<reportElement key="DURCHLAUFZEIT" mode="Opaque" x="720" y="32" width="38" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="58db9d33-e42e-40f3-a6b7-dc65c59f2fe1">
					<printWhenExpression><![CDATA[!$P{P_UNTERSTKL_VERDICHTEN}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_DURCHLAUFZEIT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Tage" mode="Opaque" x="760" y="32" width="22" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="ec4b9497-fb39-4ae0-bbbe-cdd16dcdefab">
					<printWhenExpression><![CDATA[!$P{P_UNTERSTKL_VERDICHTEN}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Tage]]></text>
			</staticText>
			<staticText>
				<reportElement key="Artikel/ Maschine" mode="Opaque" x="0" y="43" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c4e970d3-8403-47ff-8d7f-2df0a382e0ca"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Stückliste / Bezeichnung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Menge" positionType="FixRelativeToBottom" mode="Opaque" x="680" y="43" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="462715cf-52cd-4f89-b9cf-cc45647dea82"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Menge]]></text>
			</staticText>
			<staticText>
				<reportElement key="ME" positionType="FixRelativeToBottom" mode="Opaque" x="732" y="43" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="251271f3-0c73-44fc-b665-554530a155a9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[ME]]></text>
			</staticText>
			<line>
				<reportElement key="line-1" positionType="FixRelativeToBottom" mode="Opaque" x="700" y="53" width="104" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="be80e086-2925-4d1c-81b6-bd5b0f1343d1"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="true">
				<reportElement x="575" y="12" width="60" height="10" uuid="de057ee8-8a08-490e-b345-27088ebf42c0"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_FREIGABE_ZEITPUNKT}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="500" y="22" width="150" height="10" uuid="c640edc0-98ed-4db6-badf-57892fa1e83e"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_FREIGABE_PERSON}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Freigabe" mode="Opaque" x="460" y="12" width="110" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="6fe2ab35-0797-4586-92de-c525e52b1a3c">
					<printWhenExpression><![CDATA[$P{P_FREIGABE_ZEITPUNKT}!=null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Stückliste freigegeben am:]]></text>
			</staticText>
			<staticText>
				<reportElement key="Freigabe" mode="Opaque" x="475" y="22" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="0a8478a0-b68e-4f39-ac1d-8e7062073657">
					<printWhenExpression><![CDATA[$P{P_FREIGABE_ZEITPUNKT}!=null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[von:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="EINHEIT" mode="Opaque" x="760" y="12" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="053103db-ca43-44a1-a950-b6cf5ee4c5f0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_EINHEIT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Ebene" positionType="FixRelativeToBottom" mode="Opaque" x="750" y="43" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="5193ab21-fa69-4d72-a31f-d25e8546d7a6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Ebene]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lfd Nr sollte Anzahl Lose werden" positionType="FixRelativeToBottom" mode="Opaque" x="780" y="43" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="e24921e8-8810-4088-a22f-9cec820edfa6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Lfd Nr]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="100" y="53" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="e3618d26-8e8b-4aa1-9a01-f7b0f66825d9"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="100" y="62" width="100" height="9" uuid="84876d77-833e-4bbf-9a04-17c43fd3fd44"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$P{P_STUECKLISTE}+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
	</title>
	<detail>
		<band height="20" splitType="Stretch">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 0]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="100" y="0" width="100" height="20" uuid="ead1b50a-bc2a-4fda-bafe-f5901ab70252"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="100" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="a831f475-9deb-473f-ad6b-f8facc711e86"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="100" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="0b22d1c1-b19d-4350-afad-247330cde8c7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="50" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3211c8c3-d480-4134-9e66-65e267e19047"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="77" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="8876d375-82a8-45a1-9733-0b61df2aae81"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="2134d2f5-f510-4d89-983f-4232350ee640"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="9df5e823-be75-46ff-a935-c2543a5f0e1d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="50" y="10" width="50" height="1" uuid="db803a81-3495-4f2c-a8ae-a7e43950381d"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="50" y="0" width="1" height="10" uuid="7f1b6cd3-5039-46c4-a2a6-357c9aef2b62"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isBlankWhenNull="true">
				<reportElement mode="Opaque" x="190" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="17e07fe3-977a-4058-a032-5123b99aaaa0">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="200" y="0" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="a4714057-c173-4563-bedd-ad71bf53d8f9"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="200" y="9" width="100" height="9" uuid="7b6817a1-5ebe-426a-837e-64b38deefcc9"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 1]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Transparent" x="200" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="200" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="200" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="150" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="150" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="5a20a9cd-f2af-4475-b69e-16f68993ec14"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="150" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="89ceac14-7341-4f50-afc5-d718fb64576a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="999dc692-1965-41be-84aa-e292eed02298"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="177" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="6ae876fa-37f6-440f-b13b-e8e2fd3b1c95"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement mode="Opaque" x="290" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="4f7e69cb-c6f4-4f67-94c8-4964fcfd361d">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="300" y="9" width="100" height="9" uuid="bd670a72-5b6f-4742-8c86-ab6b73adba91"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="300" y="0" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="fc94353f-3dbb-4ea1-b735-5cf5b98dcf38"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 2]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="300" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="300" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="300" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="250" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="250" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="37dc7560-d69d-42a7-92ff-abb6e0ceafb7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="250" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="72ee376a-a6be-4a6e-add2-21b08f319f28"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="428d3350-df28-4b73-bf66-8ebce2174358"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="277" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="798895b1-1b33-4665-a10c-80ae583409e8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="390" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="f06d0c61-f601-4280-a59e-0182531d6e96">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="400" y="9" width="100" height="9" uuid="b5aa5972-cc04-47ee-b7a3-fdbe08cbea97"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="400" y="0" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="bf284212-2de7-4479-8164-1c989067eb8f"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 3]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="400" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="400" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="400" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="350" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="350" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="6223b1d8-378e-42c3-bb85-8c7568da7d1f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="350" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="38d10ea0-0daa-4cf7-b060-06ff338b5dc4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="d273212e-3e2d-4e3e-b604-0250cb2f131f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="377" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="0f525518-3c71-448f-b2de-d887d1682712"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="490" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="22b70116-a3b6-4ca2-a9fd-1f8cd7ef9ec3">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="500" y="9" width="100" height="9" uuid="fc446f71-1525-4d6d-87de-477be22ae8c0"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="500" y="0" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="de2e6953-5233-4956-b95f-ca2aae23781f"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 4]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="500" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="500" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="500" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="450" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="450" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="6fb44a97-b5d0-4fc8-97ff-2a735eca3e3c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="450" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="32559719-9292-45bf-8ac1-8f91ffe0b419"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="581f4063-02a0-41c7-a399-d85efe92cadd"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="477" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3ca4e185-d664-40aa-abd1-dc88f12a5bb8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="590" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="cc70911a-739a-4810-9f9c-9108a922bd61">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Abbuchungslager" positionType="Float" x="600" y="9" width="100" height="9" uuid="e8c6a70b-88d8-434a-a7c2-d1f03e6dfe5b"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select ww_lager.c_nr from stk_stklagerentnahme "+
"inner join ww_lager on ww_lager.i_id=stk_stklagerentnahme.lager_i_id "+
"where stueckliste_i_id = (select i_id from stk_stueckliste where artikel_i_id=(select i_id from ww_artikel where c_nr='"+$F{Artikel}.trim()+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"'));",
new String[] {"lager"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"stk_gesamtkalkulation_strukturbaum_ablager.jasper").toURL()]]></subreportExpression>
			</subreport>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Transparent" x="600" y="0" width="100" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="54a19f1b-35f0-4bb6-99e4-5270bfcb9d3a"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Ziellager:"+$V{Ziellager_Kopf}]]></textFieldExpression>
			</textField>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() == 5]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="600" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="600" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="600" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="550" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="550" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="550" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="5a6d08b7-2d21-4bbc-a1ab-016c39670389"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="577" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="95fd1f0e-4977-4d35-80ac-9546b1091c5f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="LfdNr" style="Ebene" mode="Transparent" x="780" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="52f294da-ef4f-401e-bacd-09503daf39fc"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{LfdNr}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ebene" style="Ebene" mode="Transparent" x="750" y="0" width="25" height="10" isRemoveLineWhenBlank="true" uuid="69d5144a-0942-4e6f-95ef-79609b4456a5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Ebene}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="690" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="f9f4c9ec-6762-464a-ba37-76a96aaee1c1">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
		</band>
		<band height="20">
			<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null &&
$V{Ebene}.intValue() > 5]]></printWhenExpression>
			<rectangle>
				<reportElement style="Ebene" stretchType="RelativeToBandHeight" mode="Opaque" x="700" y="0" width="100" height="20" uuid="782f26f1-1760-4cc2-b6c0-dab749e05568"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelbezeichnung" style="Ebene" mode="Transparent" x="700" y="10" width="100" height="9" isRemoveLineWhenBlank="true" uuid="642e6320-7622-4466-849c-56719702dad8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{Artikelbezeichnung}==null?"":$F{Artikelbezeichnung})+
($F{Artikelzusatzbezeichnung}==null?"":" "+$F{Artikelzusatzbezeichnung})]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikel" style="Ebene" mode="Transparent" x="700" y="1" width="100" height="9" isRemoveLineWhenBlank="true" uuid="4130d160-e3d7-477c-a750-d0225e963af8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel}.trim()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="650" y="10" width="50" height="1" uuid="bd517a5d-8116-4ca3-bf12-474d622e6b50"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="650" y="0" width="1" height="10" uuid="f2543d05-6822-47d2-b185-c0576b0f3de0"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Menge" style="Ebene" mode="Transparent" x="650" y="2" width="25" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="bd307510-c62e-4d7c-b81f-ad8adb989158"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Mengeneinheit" style="Ebene" mode="Transparent" x="677" y="2" width="15" height="8" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="ebe3267e-3d44-4065-ba0e-b27ba73a4fe8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Mengeneinheit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement mode="Opaque" x="790" y="1" width="10" height="8" forecolor="#FFFFFF" backcolor="#000000" uuid="f0dfb15e-415a-4673-acd1-124b86367251">
					<printWhenExpression><![CDATA[$F{Stuecklistenart}!=null && $F{Stuecklistenart}.startsWith("H")]]></printWhenExpression>
				</reportElement>
				<box leftPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Stuecklistenart}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
